Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.fst.semi_supervised
Class CRFTrainerByGE

    java.lang.Object
      cc.mallet.fst.TransducerTrainer
          cc.mallet.fst.semi_supervised.CRFTrainerByGE

    public class CRFTrainerByGE

extends TransducerTrainer

Trains a CRF using Generalized Expectation constraints that considers a single label of a linear chain CRF. See: "Generalized Expectation Criteria for Semi-Supervised Learning of Conditional Random Fields" Gideon Mann and Andrew McCallum ACL 2008

Author:
  Gregory Druck

Nested Class Summary

Nested classes/interfaces inherited from class cc.mallet.fst.TransducerTrainer
`TransducerTrainer.ByIncrements, TransducerTrainer.ByInstanceIncrements, TransducerTrainer.ByOptimization`

Constructor Summary
`CRFTrainerByGE(CRF crf, java.util.HashMap<java.lang.Integer,GECriterion> constraints)`
`CRFTrainerByGE(CRF crf, java.util.HashMap<java.lang.Integer,GECriterion> constraints, int numThreads)`

Method Summary
`int` | `getIteration()`
`Transducer` | `getTransducer()`
`boolean` | `isFinishedTraining()`
`void` | `setGaussianPriorVariance(double gpv)`
`void` | `setStateLabelMap(StateLabelMap map)`
`boolean` | `train(InstanceList unlabeledSet, int numIterations)` Train the transducer associated with this TransducerTrainer.

Methods inherited from class cc.mallet.fst.TransducerTrainer
`addEvaluator, addEvaluators, removeEvaluator, runEvaluators, train`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CRFTrainerByGE

    public CRFTrainerByGE(CRF crf,
                          java.util.HashMap<java.lang.Integer,GECriterion> constraints)

### CRFTrainerByGE

    public CRFTrainerByGE(CRF crf,
                          java.util.HashMap<java.lang.Integer,GECriterion> constraints,
                          int numThreads)

Method Detail

### getIteration

    public int getIteration()

  Specified by:
    `getIteration` in class `TransducerTrainer`

### getTransducer

    public Transducer getTransducer()

  Specified by:
    `getTransducer` in class `TransducerTrainer`

### isFinishedTraining

    public boolean isFinishedTraining()

  Specified by:
    `isFinishedTraining` in class `TransducerTrainer`

### setGaussianPriorVariance

    public void setGaussianPriorVariance(double gpv)

### setStateLabelMap

    public void setStateLabelMap(StateLabelMap map)

### train

    public boolean train(InstanceList unlabeledSet,
                         int numIterations)

  Description copied from class: `TransducerTrainer`
  Train the transducer associated with this TransducerTrainer. You should be able to call this method with different trainingSet objects. Whether this causes the TransducerTrainer to combine both trainingSets or to view the second as a new alternative is at the discretion of the particular TransducerTrainer subclass involved.

  Specified by:
    `train` in class `TransducerTrainer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD